package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridHousePeople;
import com.ruoyi.system.domain.grid.GridHousePeopleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridHousePeopleMapper {
    long countByExample(GridHousePeopleExample example);

    int deleteByExample(GridHousePeopleExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridHousePeople record);

    int insertSelective(GridHousePeople record);

    List<GridHousePeople> selectByExample(GridHousePeopleExample example);

    GridHousePeople selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridHousePeople record, @Param("example") GridHousePeopleExample example);

    int updateByExample(@Param("record") GridHousePeople record, @Param("example") GridHousePeopleExample example);

    int updateByPrimaryKeySelective(GridHousePeople record);

    int updateByPrimaryKey(GridHousePeople record);
}
